Bug 121099 - RFE: separate source package for fonts.
RFE: separate source package for fonts.
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-04-17 01:59 EDT by Aleksey Nogin
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-15 17:15:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Aleksey Nogin 2004-04-17 01:59:12 EDT
Would it be possible/reasonable/desirable to split the xorg-x11
_source_ package into separate packages for fonts and binaries? 

Currently, any update/errata/etc in the xorg-x11 would case new font
packages to be built and distributed (and some of those are pretty
big). If they were made separate, this would not be the case.
Comment 1 Mike A. Harris 2004-04-18 13:49:57 EDT
Absolutely agreed 200%.  I've been wanting to do that for quite some
time now.  I actually split out the pcf fonts before in an attempt
to do this, but ended up with a build loop because the font-utils
need to be built first in order to build the fonts, and the fonts
are needed in order to build the monolithic build with fixed/cursor
built in.  There was some other issue I don't remember specifically
also, as it's been some time now since I investigated this.

With promises from upstream that the pcf fonts would be going away
very soon, to be replaced with .TTF fonts with embedded bitmaps,
it seemed it might be wasted effort to fix the problems above, if
it would be short lived anyway.  Now however, there have been
3 major X releases in which still ship with PCF fonts.  The TTF code
is now present, but there are some conversion utilities missing,
and other issues preventing the switchover.

I'd really like to switch to TTF based fonts as soon as possible,
as that would mean we could eliminate any loop problems, but
unfortunately there's no guarantee of when that will actually
happen, although it is being worked on upstream, which is good for
some point in the future.

Since this is indeed a major issue, IMHO at least though, I do not
think we should wait any longer for the TTF bitmap fonts from
upstream.  I think what I am going to do instead, is to extract
all of the fonts from a monolithic build, tarball them up, and then
use _that_ as the source tarball for a src.rpm to spit the fonts
back out into the same-named packages we currently ship.

That essentially means that fonts get generated once, and can also
be noarch packages.  The only downside I know of about this, is that
PCF fonts are generated based on the endian of the CPU creating them,
and that they are slightly slower on opposite-endian CPUs, although
I am told this is not a problem on modern systems anyway, and that
TTF fonts are all big-endian data anyway, and that's what the long
term goal is.

Summary:  I fully agree with your suggestion, and think it is a 
good idea to implement one solution or another in the Fedora Core 3
timeframe for sure.

Thanks for logging in bugzilla.
Comment 2 Mike A. Harris 2004-09-15 17:15:37 EDT
Fonts are now produced from the fonts-xorg rpm for Fedora devel.

Setting status to RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.